Bug 1984730 - [SNO] [Tracker bug] Bug to track the lease duration changes for various components to handle API downtime gracefully [NEEDINFO]
Summary: [SNO] [Tracker bug] Bug to track the lease duration changes for various compo...
Keywords:
Status: POST
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.9
Hardware: Unspecified
OS: Unspecified
low
high
Target Milestone: ---
: 4.10.0
Assignee: Rom Freiman
QA Contact: Ke Wang
URL:
Whiteboard: chaos LifecycleFrozen
Depends On: 1989767 1949840 1977470 1980930 1981055 1984608 1984635 1984644 1984683 1985697 1985802 1986215 1986418 1986477 1986560 1986992 1989246 1989772 1992255 2005205 2005206
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-22 04:00 UTC by Naga Ravi Chaitanya Elluri
Modified: 2022-05-09 08:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
mfojtik: needinfo?


Attachments (Terms of Use)

Description Naga Ravi Chaitanya Elluri 2021-07-22 04:00:52 UTC
One of the goals for Single Node OpenShift is to handle 60 seconds API downtime gracefully. This bug tracks the tweaks including the leader election lease duration needed in various components to achieve the goal.

Comment 1 Scott Dodson 2021-07-26 20:29:10 UTC
I think we should decide if this is required to consider SNO as GA. If it's required for that and SNO is GA in 4.9 then we should mark all the dependent bugs as blocker+ rather than leaving it up to all of the teams to decide one by one whether or not they care enough.

Comment 2 Scott Dodson 2021-07-26 20:31:51 UTC
Since this is a public bug, I have no idea which release SNO is considered GA nor am I making a prediction that it will be 4.9. I'm just saying we should assert a common approach to these bugs.

Comment 10 Wally 2021-09-20 20:05:43 UTC
Moving to 4.10.0 as that's the .0 release under development.

Comment 11 Michal Fojtik 2021-10-20 20:38:34 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Whiteboard if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.

Comment 13 Michal Fojtik 2021-11-19 21:09:29 UTC
This bug hasn't had any activity in the last 30 days. Maybe the problem got resolved, was a duplicate of something else, or became less pressing for some reason - or maybe it's still relevant but just hasn't been looked at yet. As such, we're marking this bug as "LifecycleStale" and decreasing the severity/priority. If you have further information on the current state of the bug, please update it, otherwise this bug can be closed in about 7 days. The information can be, for example, that the problem still occurs, that you still want the feature, that more information is needed, or that the bug is (for whatever reason) no longer relevant. Additionally, you can add LifecycleFrozen into Whiteboard if you think this bug should never be marked as stale. Please consult with bug assignee before you do that.


Note You need to log in before you can comment on or make changes to this bug.